using System;
using System.Collections.Generic;
using System.Text;

namespace LearnWPF.FormattingAndDataBinding
{
    public class SaleRecord
    {
        private DateTime timeOfSale;
        private decimal saleAmount;
        private Single salesTax;
        private int id;

        public SaleRecord()
        {

        }

        public SaleRecord(int salesId, DateTime saleTime, decimal saleAmnt, Single taxPercentage)
        {
            id = salesId;
            timeOfSale = saleTime;
            saleAmount = saleAmnt;
            salesTax = taxPercentage;
        }

        public DateTime TimeOfSale
        {
            get { return timeOfSale; }
            set { timeOfSale = value; }
        }

        public decimal Amount
        {
            get { return saleAmount; }
            set { saleAmount = value; }
        }

        public Single SalesTaxPercentage
        {
            get { return salesTax; }
            set { salesTax = value; }
        }

        public int Id
        {
            get { return id; }
            set { id = value; }
        }
    }
}
